<?php

/**
 * @package Aspasia
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2016 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */
//no direct accees
defined('_JEXEC') or die('resticted aceess');

class SppagebuilderAddonThumb_gallery extends SppagebuilderAddons {

    public function render() {
        $title = (isset($this->addon->settings->title) && $this->addon->settings->title) ? $this->addon->settings->title : '';
        $heading_selector = (isset($this->addon->settings->heading_selector) && $this->addon->settings->heading_selector) ? $this->addon->settings->heading_selector : 'h3';
        $autoplay = (isset($this->addon->settings->autoplay) && $this->addon->settings->autoplay) ? $this->addon->settings->autoplay : '';
        $arrows = (isset($this->addon->settings->arrows) && $this->addon->settings->arrows) ? $this->addon->settings->arrows : '';
        $class = (isset($this->addon->settings->class) && $this->addon->settings->class) ? $this->addon->settings->class : '';

        //autoplay, controllers & arrow
        $slide_autoplay = ($autoplay) ? 'data-sppb-tg-autoplay="true"' : 'data-sppb-tg-autoplay="false"';
        $slide_arrows = ($arrows) ? 'data-sppb-tg-arrows="true"' : 'data-sppb-tg-arrows="false"';

        $output = '<div class="sppb-addon sppb-thumb-gallery-wrapper sppb-addon-thumb-gallery ' . $class . '">';
        if ($title) {
            $title_style = '';
            $output .= '<' . $heading_selector . ' class="sppb-addon-title">' . $title . '</' . $heading_selector . '>';
        }
        $output .= '<div class="container">';
        $output .= '<div class="row">';
        $output .= '<div class="col-sm-10 offset-sm-1">';
        $output .= '<div id="slider" class="flexslider sppb-tg-slider" ' . $slide_autoplay . ' ' . $slide_arrows . '>';
        $output .= '<ul class="slides">';
        foreach ($this->addon->settings->sp_thumb_gallery_item as $key => $slideItem) {
            $active = ($key == 0) ? 'flex-active-slide' : '';
            $output .= '<li class="flax-item ' . $active . '"> <img src="' . $slideItem->image . '" alt="' . $slideItem->title . '"/> </li>';
        }
        $output .= '</ul>'; //ul.slides
        $output .= '</div>'; // END /#slider
        $output .= '</div>'; // END /.col
        $output .= '</div>'; // END /.row
        $output .= '</div>'; // END /.container


        $output .= '<div id="carousel" class="flexslider">';
        $output .= '<ul class="slides">'; // END /#slider
        foreach ($this->addon->settings->sp_thumb_gallery_item as $key => $slideItem) {
            $active = ($key == 0) ? 'flex-active-slide' : '';
            $output .= '<li class="flax-thumb ' . $active . '"> <img src="' . $slideItem->image . '"  alt="' . $slideItem->title . '"/> </li>';
        }
        $output .= '</ul>'; // END /#slider
        $output .= '</div>'; // END /#scarousel

        $output .= '</div>'; // END /.flexslider


        return $output;
    }

    public function scripts() {
        $app = JFactory::getApplication();
        return array(JURI::base() . '/templates/' . $app->getTemplate() . '/js/jquery.flexslider-min.js');
    }

    public function js() {
        $addon_id = '#sppb-addon-' . $this->addon->id;
        return '
            jQuery(document).ready(function ($) {
                "use strict";
                if ($("#carousel").is(".flexslider")) {
                    var $sppbTgOptions = $("' . $addon_id . ' .sppb-tg-slider");
                    var $autoplay = $sppbTgOptions.data("sppb-tg-autoplay");
                    var $arrows = $sppbTgOptions.data("sppb-tg-arrows");
                    $(window).load(function () {
                        $("#carousel").flexslider({
                            animation: "slide",
                            controlNav: false,
                            directionNav: $arrows,
                            animationLoop: false,
                            slideshow: $autoplay,
                            minItems: 5,
                            move: 1,
                            itemWidth: 270,
                            itemMargin: 15,
                            asNavFor: "#slider"
                        });
                        $("#slider").flexslider({
                            animation: "fade",
                            controlNav: false,
                            directionNav: $arrows,
                            animationLoop: false,
                            slideshow: $autoplay,
                            sync: "#carousel"
                        });
                    });
                }
            });
        ';
    }

    public function stylesheets() {
        $app = JFactory::getApplication();
        return array(JURI::base() . '/templates/' . $app->getTemplate() . '/css/flexslider.css');
    }

    public static function getTemplate() {
        $output = '
            <#
                var title = (!_.isEmpty(data.title) && data.title) ? data.title : "";
                var heading_selector = (!_.isEmpty(data.heading_selector) && data.heading_selector) ? data.heading_selector : "h3";
                var autoplay = (typeof data.autoplay !=="undefined") ? data.autoplay : 0;
                var arrows = (typeof data.arrows !=="undefined") ? data.arrows : 0;
                var contentClass = (!_.isEmpty(data.class) && data.class) ? data.class : "";

                var slide_autoplay = (autoplay>0) ? \'data-sppb-tg-autoplay="true"\' : \'data-sppb-tg-autoplay="false"\';
                var slide_arrows = (arrows>0) ? \'data-sppb-tg-arrows="true"\' : \'data-sppb-tg-arrows="false"\';
            #>
               <div class="sppb-addon sppb-thumb-gallery-wrapper sppb-addon-thumb-gallery {{contentClass}}">
                <# if (title) { #>
                    <{{heading_selector}} class="sppb-addon-title">{{{title}}}</{{heading_selector}}>
                <# } #>
                
                <div class="container">
                <div class="row">
                <div class="col-sm-10 offset-sm-1">
                <div id="slider" class="flexslider sppb-tg-slider" {{{slide_autoplay}}} {{{slide_arrows}}}>
                <ul class="slides">
                <# _.each (data.sp_thumb_gallery_item, function(slide_item, slide_key) {
                    var activeClass = "";
                    if(slide_key==0){
                        activeClass = "flex-active-slide ";
                    } else {
                        activeClass = "";
                    }
                #>
                    <li class="flax-item {{activeClass}}"> <img src="{{slide_item.image}}" alt="{{{slide_item.title}}}"/> </li>
                <# }) #>
                </ul>
                </div>
                </div>
                </div>
                </div>

                <div id="carousel" class="flexslider">
                <ul class="slides">
                <# _.each (data.sp_thumb_gallery_item, function(slide_item, slide_key) {
                    var activeClass = "";
                    if(slide_key==0){
                        activeClass = "flex-active-slide ";
                    } else {
                        activeClass = "";
                    }
                #>
                    <li class="flax-thumb {{activeClass}}"> <img src="{{slide_item.image}}"  alt="{{{slide_item.title}}}"/> </li>
                <# }) #>
                </ul>
                </div>
                </div>
                ';
        return $output;
    }

}
